import os
import sys
sys.path.insert(0, os.path.abspath('../optifik'))

# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'optifik'
copyright = '2025, F. Boulogne et al.'
author = 'F. Boulogne et al.'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.autosummary',
    'numpydoc',  # Doit être après 'autodoc'
    'myst_parser',
    'sphinx.ext.napoleon',
    'sphinx.ext.viewcode',
]

numpydoc_show_inherited_class_members = True
numpydoc_use_plots = False  # Plots in doctring
numpydoc_class_members_toctree = False

templates_path = ['_templates']
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']



# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'alabaster'
html_static_path = ['_static']


napoleon_google_docstring = False
napoleon_numpy_docstring = True

